/*
 * KawuiBawuiBo Game:
 *   - Copyright(c) 2000 Yongwoo's Park. All Rights Reserved.
 */

import java.awt.*;
import java.awt.event.*;

class TextDialog extends Dialog {
   Label msgLabel = null;
   TextField field = null;
   String strTitle=null;

   public TextDialog(Frame owner, String title, String msg) {
      super(owner, title);

      setModal(true);

      msgLabel = new Label(msg);
      msgLabel.setBackground(new Color(31,119,0));
      msgLabel.setForeground(Color.white);

      field = new TextField(20);

      add("North", msgLabel);
      add("South", field);

      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            field.setText("");
            dispose();
         }
      });

      field.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent ae) {
            if(ae.getSource() == field) {
               dispose();
            }
         }
      });

      setSize(300 , 100);
      setLocation(200, 150);
   }
}

